GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Functions
secure_transport_setup.c File Reference
`#include "src/core/security/secure_transport_setup.h"`
`#include <string.h>`
`#include "src/core/security/secure_endpoint.h"`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/slice_buffer.h>`

## Data Structures
struct | grpc_secure_transport_setup

## Macros
#define | GRPC_INITIAL_HANDSHAKE_BUFFER_SIZE 256

## Functions
void | grpc_setup_secure_transport (grpc_security_connector *connector, grpc_endpoint *nonsecure_endpoint, grpc_secure_transport_setup_done_cb cb, void *user_data)

## Macro Definition Documentation

#define GRPC_INITIAL_HANDSHAKE_BUFFER_SIZE 256

## Function Documentation

void grpc_setup_secure_transport | ( | grpc_security_connector * | connector,
|  | grpc_endpoint * | nonsecure_endpoint,
|  | grpc_secure_transport_setup_done_cb | cb,
|  | void * | user_data
| ) |  |